#line 1 "C:/Users/Public/Documents/Mikroelektronika/Visual TFT/Projects/STEPPER click/MikroC/Stepper_click_Code/mikroC PRO for ARM/Stepper_click_main.c"
#line 1 "c:/users/public/documents/mikroelektronika/visual tft/projects/stepper click/mikroc/stepper_click_code/mikroc pro for arm/stepper_click_objects.h"
typedef enum {_taLeft, _taCenter, _taRight} TTextAlign;

typedef struct Screen TScreen;

typedef struct Button {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TButton;

typedef struct Label {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char Visible;
 char Active;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TLabel;

typedef struct ProgressBar {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Transparent;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 unsigned int Background_Color;
 unsigned int Min;
 unsigned int Max;
 unsigned int Position;
 char Show_Position;
 char Show_Percentage;
 char Smooth;
 char Rounded;
 char Corner_Radius;
} TProgressBar;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned int ObjectsCount;
 unsigned int ButtonsCount;
 TButton * const code *Buttons;
 unsigned int LabelsCount;
 TLabel * const code *Labels;
 unsigned int ProgressBarsCount;
 TProgressBar * const code *ProgressBars;
};

extern TScreen Screen1;
extern TButton Button1;
extern TButton Button2;
extern TButton Button3;
extern TButton Button4;
extern TProgressBar ProgressBar1;
extern TButton Button5;
extern TButton Button6;
extern TLabel Label1;
extern TLabel Label2;
extern TButton * const code Screen1_Buttons[6];
extern TLabel * const code Screen1_Labels[2];
extern TProgressBar * const code Screen1_ProgressBars[1];




void Button1OnClick();
void Button2OnClick();
void Button3OnClick();
void Button4OnClick();
void Button5OnClick();
void Button6OnClick();
void Single_Step();




extern char Button1_Caption[];
extern char Button2_Caption[];
extern char Button3_Caption[];
extern char Button4_Caption[];
extern char ProgressBar1_Caption[];
extern char Button5_Caption[];
extern char Button6_Caption[];
extern char Label1_Caption[];
extern char Label2_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawButton(TButton *aButton);
void DrawLabel(TLabel *ALabel);
void DrawProgressBar(TProgressBar *AProgressBar);
void UpdatePBPosition(TProgressBar *AProgressBar);
void Check_TP();
void Start_TP();
void Process_TP_Press(unsigned int X, unsigned int Y);
void Process_TP_Up(unsigned int X, unsigned int Y);
void Process_TP_Down(unsigned int X, unsigned int Y);
#line 30 "C:/Users/Public/Documents/Mikroelektronika/Visual TFT/Projects/STEPPER click/MikroC/Stepper_click_Code/mikroC PRO for ARM/Stepper_click_main.c"
void main() {

 GPIO_Digital_Output(&GPIOD_BASE,_GPIO_PINMASK_4 | _GPIO_PINMASK_8);
 GPIO_Digital_Output(&GPIOA_BASE,_GPIO_PINMASK_5 | _GPIO_PINMASK_8);

 Start_TP();
 ProgressBar1.position = 0;
 DrawProgressBar(&ProgressBar1);
 while (1) {
 Check_TP();
 }
}
