#include "Stepper_click_objects.h"
#include "Stepper_click_resources.h"

//--------------------- User code ---------------------//

//----------------- End of User code ------------------//

// Event Handlers

sbit DIR  at ODR8_GPIOD_ODR_bit;
sbit STEP at ODR8_GPIOA_ODR_bit;
sbit MS1 at ODR5_GPIOA_ODR_bit;
sbit MS2 at ODR4_GPIOD_ODR_bit;
unsigned int cnt = 0;
const int delay = 500;  //You can change this delay to slow down motor

// Routine to execute single step
void Single_Step(){
  STEP = 0;
  Delay_us(delay);
  STEP = 1;
  Delay_us(delay);
}

void Change_Active_Step(int i)
 {
 switch( i )
{
         ////
    case 2: //Full step
     Button2.Color = CL_LIME;
     Button2.Gradient_Start_Color = CL_WHITE;
     Button2.Gradient_End_Color = CL_LIME;
     DrawButton(&Button2);

     Button3.Color = CL_SILVER;
     Button3.Gradient_Start_Color = CL_WHITE;
     Button3.Gradient_End_Color = CL_SILVER;
     DrawButton(&Button3);

     Button4.Color = CL_SILVER;
     Button4.Gradient_Start_Color = CL_WHITE;
     Button4.Gradient_End_Color = CL_SILVER;
     DrawButton(&Button4);

     Button6.Color = CL_SILVER;
     Button6.Gradient_Start_Color = CL_WHITE;
     Button6.Gradient_End_Color = CL_SILVER;
     DrawButton(&Button6);
     break;
           ////
    case 3: // 1/4 step
     Button2.Color = CL_SILVER;
     Button2.Gradient_Start_Color = CL_WHITE;
     Button2.Gradient_End_Color = CL_SILVER;
     DrawButton(&Button2);

     Button3.Color = CL_LIME;
     Button3.Gradient_Start_Color = CL_WHITE;
     Button3.Gradient_End_Color = CL_LIME;
     DrawButton(&Button3);

     Button4.Color = CL_SILVER;
     Button4.Gradient_Start_Color = CL_WHITE;
     Button4.Gradient_End_Color = CL_SILVER;
     DrawButton(&Button4);

     Button6.Color = CL_SILVER;
     Button6.Gradient_Start_Color = CL_WHITE;
     Button6.Gradient_End_Color = CL_SILVER;
     DrawButton(&Button6);
     break;
           ////
    case 4:   //1/2 step
     Button2.Color = CL_SILVER;
     Button2.Gradient_Start_Color = CL_WHITE;
     Button2.Gradient_End_Color = CL_SILVER;
     DrawButton(&Button2);

     Button3.Color = CL_SILVER;
     Button3.Gradient_Start_Color = CL_WHITE;
     Button3.Gradient_End_Color = CL_SILVER;
     DrawButton(&Button3);

     Button4.Color = CL_LIME;
     Button4.Gradient_Start_Color = CL_WHITE;
     Button4.Gradient_End_Color = CL_LIME;
     DrawButton(&Button4);

     Button6.Color = CL_SILVER;
     Button6.Gradient_Start_Color = CL_WHITE;
     Button6.Gradient_End_Color = CL_SILVER;
     DrawButton(&Button6);
     break;
           ////
   case 6: //1/8 step
     Button2.Color = CL_SILVER;
     Button2.Gradient_Start_Color = CL_WHITE;
     Button2.Gradient_End_Color = CL_SILVER;
     DrawButton(&Button2);

     Button3.Color = CL_SILVER;
     Button3.Gradient_Start_Color = CL_WHITE;
     Button3.Gradient_End_Color = CL_SILVER;
     DrawButton(&Button3);
     //
     Button4.Color = CL_SILVER;
     Button4.Gradient_Start_Color = CL_WHITE;
     Button4.Gradient_End_Color = CL_SILVER;
     DrawButton(&Button4);
     //
     Button6.Color = CL_LIME;
     Button6.Gradient_Start_Color = CL_WHITE;
     Button6.Gradient_End_Color = CL_LIME;
     DrawButton(&Button6);
     break;
}
 }

void Button5OnClick() {
     DIR = ~DIR;  //Invert direction
}

void Button2OnClick() {
     Change_Active_Step(2);
     //Full step
     MS1 = 0;
     MS2 = 0;
}

void Button4OnClick() {
     Change_Active_Step(4);
     //1/2 step
     MS1 = 1;
     MS2 = 0; 
}

void Button3OnClick() {
     Change_Active_Step(3);
     //1/4 step
     MS1 = 0;
     MS2 = 1;
}

void Button6OnClick() {
     Change_Active_Step(6);
     //1/8 step
     MS1 = 1; 
     MS2 = 1;
}

void Button1OnClick() {

   for (cnt = 0; cnt <= 2038; cnt++) {
        Single_Step();  //Make single step
        ProgressBar1.position = cnt;  //Change Progress bar value
        DrawProgressBar(&ProgressBar1);  //Redraw Progress bar
        }
}
